Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76673 - mailer saves attachments with mode 600, doesn't use umask
Summary: mailer saves attachments with mode 600, doesn't use umask
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: evolution
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-24 20:36 UTC by Don Himelrick
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-24 20:36:22 UTC


Attachments (Terms of Use)

Description Don Himelrick 2002-10-24 20:36:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
All attachments are saved as mode 600 instead of using the default umask setting
of 002 and creating them as 660.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Save attachment and move it to public location.
2.
3.
	

Actual Results:  Other users cannot read the attachments.

Expected Results:  File should have group read permissions so others in the
group can read it.

Additional info:

Comment 1 Jeremy Katz 2002-10-25 15:32:57 UTC
This is an intentional design decision, and one shared by most MUAs.  It's much
better to be restrictive in what you save and require explicitly changing the
permissions than to have somebody inadvertently leave mail world readable on a
network filesystem.


Note You need to log in before you can comment on or make changes to this bug.